#include<iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	int a,i,m,n,t;
	double c,b;
	a=0;b=0;
	c=0;t=0;
	cin>>m>>n;
	for(i=m;i<=n;i++){
		if(i==2){
			b=2,
			t=1;}
			
		
			
		for(a=2;a<i;a++){
			
			if(i%a==0){
				break;
			}else{
				if(a==i-1){
					b=b+i,
					
					t=t+1;}
				
					
			}
			
				
		}
	}
	
	if(b>0){
		c=b/t;
		cout<<t<<" "<<c;
	}else
		cout<<"no";
	
	
	return 0;
	
}
